/* Loading Block */
#loading {
  width: 100%;
  height: 100%;
  transition: all 0.1s;
  background-color: #f8f8f8;
  position: fixed;
  top: 0;
  left: 0;
  z-index: 9999;
}

/* Hide Loading Block */
.loaded {
  opacity: 0;
  visibility: hidden;
}

.stage {
  height: 100%;
  display: flex;
  justify-content: center;
  align-items: center;
  position: relative;
  overflow: hidden;
}

.spinner {
  position: relative;
  left: -9999px;
  width: 12px;
  height: 12px;
  border-radius: 6px;
  background-color: #8EE3F8;
  color: #8EE3F8;
  box-shadow: 9978px 0 0 0 #8EE3F8, 9999px 0 0 0 #8EE3F8, 10020px 0 0 0 #8EE3F8;
  -webkit-animation: dot-typing 1.2s infinite linear;
  animation: dot-typing 1.2s infinite linear;
}

/* Loading Animation */
@-webkit-keyframes dot-typing {
  0.0% {
    box-shadow: 9978px 0 0 0 #8EE3F8, 9999px 0 0 0 #8EE3F8, 10020px 0 0 0 #8EE3F8;
  }
  16.667% {
    box-shadow: 9978px -14px 0 0 #8EE3F8, 9999px 0 0 0 #8EE3F8, 10020px 0 0 0 #8EE3F8;
  }
  33.333% {
    box-shadow: 9978px 0 0 0 #8EE3F8, 9999px 0 0 0 #8EE3F8, 10020px 0 0 0 #8EE3F8;
  }
  50.0% {
    box-shadow: 9978px 0 0 0 #8EE3F8, 9999px -14px 0 0 #8EE3F8, 10020px 0 0 0 #8EE3F8;
  }
  66.667% {
    box-shadow: 9978px 0 0 0 #8EE3F8, 9999px 0 0 0 #8EE3F8, 10020px 0 0 0 #8EE3F8;
  }
  83.333% {
    box-shadow: 9978px 0 0 0 #8EE3F8, 9999px 0 0 0 #8EE3F8, 10020px -14px 0 0 #8EE3F8;
  }
  100.0% {
    box-shadow: 9978px 0 0 0 #8EE3F8, 9999px 0 0 0 #8EE3F8, 10020px 0 0 0 #8EE3F8;
  }
}

@keyframes dot-typing {
  0.0% {
    box-shadow: 9978px 0 0 0 #8EE3F8, 9999px 0 0 0 #8EE3F8, 10020px 0 0 0 #8EE3F8;
  }
  16.667% {
    box-shadow: 9978px -14px 0 0 #8EE3F8, 9999px 0 0 0 #8EE3F8, 10020px 0 0 0 #8EE3F8;
  }
  33.333% {
    box-shadow: 9978px 0 0 0 #8EE3F8, 9999px 0 0 0 #8EE3F8, 10020px 0 0 0 #8EE3F8;
  }
  50.0% {
    box-shadow: 9978px 0 0 0 #8EE3F8, 9999px -14px 0 0 #8EE3F8, 10020px 0 0 0 #8EE3F8;
  }
  66.667% {
    box-shadow: 9978px 0 0 0 #8EE3F8, 9999px 0 0 0 #8EE3F8, 10020px 0 0 0 #8EE3F8;
  }
  83.333% {
    box-shadow: 9978px 0 0 0 #8EE3F8, 9999px 0 0 0 #8EE3F8, 10020px -14px 0 0 #8EE3F8;
  }
  100.0% {
    box-shadow: 9978px 0 0 0 #8EE3F8, 9999px 0 0 0 #8EE3F8, 10020px 0 0 0 #8EE3F8;
  }
}
